<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:c="http://java.sun.com/jstl/core"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns="http://www.w3.org/1999/xhtml">
    <!-- parameters: -->
    <!--    <ui:param name="counters" value="#{report.counters}"/>-->
            <div class="progress" title="Error: #{counters.numberOfErrors}, Warning: #{counters.numberOfWarnings}, Info: #{counters.failedWithInfoNumber}, Successful: #{counters.numberOfSuccess}, Unknown: 0, Total: #{counters.numberOfConstraints}">
                <s:div rendered="#{counters.numberOfErrors gt 0}" styleClass="progress-bar progress-bar-danger" style="width: #{reporter.getCounterWidth(counters.numberOfErrors,counters.numberOfConstraints)}%">
                            <s:span>#{counters.numberOfErrors}</s:span>
                </s:div>
                <s:div rendered="#{counters.numberOfWarnings gt 0}" styleClass="progress-bar progress-bar-warning" style="width: #{reporter.getCounterWidth(counters.numberOfWarnings,counters.numberOfConstraints)}%">
                            <s:span>#{counters.numberOfWarnings}</s:span>
                </s:div>
                <s:div rendered="#{counters.failedWithInfoNumber gt 0}" styleClass="progress-bar progress-bar-info" style="width: #{reporter.getCounterWidth(counters.failedWithInfoNumber,counters.numberOfConstraints)}%">
                            <s:span>#{counters.failedWithInfoNumber}</s:span>
                </s:div>
                <s:div rendered="#{counters.numberOfSuccess gt 0}" styleClass="progress-bar progress-bar-success" style="width: #{reporter.getCounterWidth(counters.numberOfSuccess, counters.numberOfConstraints)}%">
                            <s:span>#{counters.numberOfSuccess}</s:span>
                </s:div>
            </div>
</ui:composition>